Subject: [TR] 1965 triumph TR4A window problem

From: Bob Leaver <[email-masked]>
Date: Sat, 20 Jun 2020 16:59:26 -0600

My drivers window will not go down all the way. It leaves 2 inches of
window left to roll down. It just comes to a sudden stop and won't go
further. I've taken the door apart and inspected. I can't find
anything odd. When I measured the window height of the window and
compare it to the passenger side it's about 1 !/2" higher when rolled
up. I've checked the gears and the teeth look good and the coil spring
looks good. I guess I'm going to have to take the passenger door apart
and really compare the two. Any ideas?
** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive